Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php7-ast: new aport

From: Andy Blyler <andy_at_blyler.cc>
Date: Thu, 31 Mar 2016 12:45:10 -0500

https://github.com/nikic/php-ast
Extension exposing PHP 7 abstract syntax tree
---
 testing/php7-ast/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/php7-ast/APKBUILD
diff --git a/testing/php7-ast/APKBUILD b/testing/php7-ast/APKBUILD
new file mode 100644
index 0000000..6e7d4b1
--- /dev/null
+++ b/testing/php7-ast/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Andy Blyler <andy_at_blyler.cc>
+# Maintainer: Fabio Ribeiro <fabiorphp_at_gmail.com>
+pkgname=php7-ast
+_pkgext=ast
+_pkgreal=php-ast
+pkgver=0.1.1
+_pkgver=${pkgver/_rc/RC}
+pkgrel=0
+pkgdesc="PHP7 extension exposing PHP 7 abstract syntax tree"
+url="https://github.com/nikic/php-ast"
+arch="x86_64 armhf"
+license="BSD"
+depends="php7"
+pecldepends="php7-dev autoconf"
+makedepends="$pecldepends"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/nikic/php-ast/archive/v$_pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
+build() {
+	cd "$_builddir"
+	phpize7 || return 1
+	./configure --prefix=/usr \
+		--with-php-config=/usr/bin/php-config7 \
+	|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir/" install || return 1
+	install -d "$pkgdir"/etc/php7/conf.d || return 1
+	echo "extension=$_pkgext.so" > "$pkgdir"/etc/php7/conf.d/$_pkgext.ini
+}
+
+md5sums="8ea356bd81ed52e838ac1105433c7ab6  php7-ast-0.1.1.tar.gz"
+sha256sums="85ecc69fa9ba777c1ee6218f5afcc78e13f9c0506b147a6c173a5976c9977967  php7-ast-0.1.1.tar.gz"
+sha512sums="c007315e9bc674f80e99dc5b0b4405a3da8e523d038f0e08102de07a3a214cc0558927e426c766548d24f806e3ef6449181c80bebb22856ac824cb412b93625b  php7-ast-0.1.1.tar.gz"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 31 2016 - 12:45:10 GMT